# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize gcc-c++ pkgconfig(gtk+-2.0) pkgconfig(libglade-2.0) pkgconfig(libxml-2.0)
# END SourceDeps(oneline)
Summary: Interactive educational geometry software
Name: drgeo
Version: 1.1.0
Release: alt1_24
License: GPLv2+
Group: Engineering
URL: http://www.ofset.org/drgeo

Source: http://dl.sf.net/ofset/drgeo-%{version}.tar.gz
Patch0: drgeo-1.1.0-htmlview.patch
Patch1: drgeo.patch
Patch2: drgeo-1.1.0-anonymous-type.patch
Patch3: drgeo-1.1.0-guile-fixups.patch

BuildRequires: flex bison libgmp-devel libgmp_cxx-devel desktop-file-utils
BuildRequires: guile-devel libglade2-devel intltool gettext
Source44: import.info

%description
Dr. Geo is an interactive geometry GUI application. It allows one to create
geometric figures plus the interactive manipulation of such figure in
respect with their geometric constraints. It is usable in teaching
situation with students from primary or secondary level.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall_std
%find_lang %{name}
perl -pi -e 's/^Icon=gnome-drgenius.png/Icon=drgeo/g' %{buildroot}%{_datadir}/applications/drgeo.desktop
desktop-file-install \
   --dir %{buildroot}%{_datadir}/applications \
   %{buildroot}%{_datadir}/applications/drgeo.desktop

install -D -m0644 glade/drgeo.png %{buildroot}%{_datadir}/pixmaps/drgeo.png
mkdir %{buildroot}%{_datadir}/TeXmacs/
mv %{buildroot}%{_datadir}/texmacs/TeXmacs/plugins/ %{buildroot}%{_datadir}/TeXmacs/.
rmdir %{buildroot}%{_datadir}/texmacs/TeXmacs/
rmdir %{buildroot}%{_datadir}/texmacs/

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/drgeo
%{_bindir}/tm_drgeo
%{_datadir}/drgeo/
%{_datadir}/pixmaps/*.png
%{_datadir}/TeXmacs/plugins/drgeo
%{_datadir}/applications/drgeo.desktop

%changelog
* Thu Mar 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_24
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_23
- update to new release by fcimport

* Fri Dec 14 2012 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_22
- converted for ALT Linux by srpmconvert tools

